Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class CXCommandEvent

    java.lang.Object
      |
      +--oracle.apps.cz.cio.CXEvent
            |
            +--oracle.apps.cz.cio.CXCommandEvent

public final class CXCommandEvent
extends CXEvent

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Fields inherited from class oracle.apps.cz.cio.CXEvent
`EVT_ON_COMMAND, EVT_ON_CONFIG_VALIDATE, EVT_ON_NODE_LOAD, EVT_ON_VALIDATE_ELIGIBLE_TARGET, EVT_POST_CONFIG_INIT, EVT_POST_CONFIG_NEW, EVT_POST_CONFIG_RESTORE, EVT_POST_CONFIG_SAVE, EVT_POST_CONNECTOR_ASSIGN, EVT_POST_CONNECTOR_UNASSIGN, EVT_POST_INSTANCE_ADD, EVT_POST_INSTANCE_DELETE, EVT_POST_INSTANCE_NAME_CHANGE, EVT_POST_NODE_EDITABLE, EVT_POST_NODE_LOAD, EVT_POST_NODE_NON_EDITABLE, EVT_POST_RULE_INIT, EVT_POST_VALUE_CHANGE, EVT_PRE_CONFIG_CANCEL, EVT_PRE_CONFIG_DONE, EVT_PRE_CONFIG_SAVE, EVT_PRE_CONFIG_SUMMARY, EVT_PRE_CONFIG_TERMINATE, EVT_PRE_RULE_TERMINATE`

Constructor Summary
`CXCommandEvent(java.lang.String command)`
`CXCommandEvent(java.lang.String command, oracle.apps.cz.cio.IRuntimeNode sourceNode)`

Method Summary
`java.lang.String` | `getCommand()`
`java.lang.String` | `toString()`

Methods inherited from class oracle.apps.cz.cio.CXEvent
`addEventParam, getEventParam, removeEventParam`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Constructor Detail

### CXCommandEvent

    public CXCommandEvent(java.lang.String command)

### CXCommandEvent

    public CXCommandEvent(java.lang.String command,
                          oracle.apps.cz.cio.IRuntimeNode sourceNode)

Method Detail

### getCommand

    public java.lang.String getCommand()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `CXEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.